
<template>
    <div class="content-main">
        <iframe width="100%" :height="wrapHeight" :src="iHost"></iframe>
    </div>
</template>
<script>
    export default {
        data(){
            return{
                iHost:''
            }
        },
        computed: {
            wrapHeight(){
                let windowHeight = document.documentElement.clientHeight
                let  wrapHeight = windowHeight - 265
                return wrapHeight
            }
        },
        methods:{

        },
        created(){
            let url = location.host;
            this.iHost = `http://${url}/BI/showreport.do?resid=EBI$12$APLMK56YQOAL9QXPNCPXJOOLNVPUMZDV$1$F8KTCTLOYSCUBY38U8Z17UTNOK8WKT2P.rpttpl&id=${sessionStorage.getItem('userLoginName')}&pw=%7B${sessionStorage.getItem('userPassword')}%7D&calcnow=true&showparams=true`
        }
    }
</script>